> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Get all users

GET https://api.getpostman.com/scim/v2/Users

Gets information about all Postman team members.

Reference: https://learning.postman.com/api-docs/api-reference/scim/get-scim-user-resources

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /scim/v2/Users:
    get:
      operationId: getScimUserResources
      summary: Get all users
      description: Gets information about all Postman team members.
      tags:
        - scim
      parameters:
        - name: startIndex
          in: query
          description: >-
            The index entry by which to begin the list of returned results. Must
            be a value of `1` or greater.
          required: false
          schema:
            $ref: '#/components/schemas/startIndex'
            default: 1
        - name: count
          in: query
          description: Limit the number of results returned in a single response.
          required: false
          schema:
            $ref: '#/components/schemas/count'
            default: 100
        - name: filter
          in: query
          description: >
            Filter results by a specific word or phrase. This query parameter
            accepts the following:

            - `userName` — Filter values are case-sensitive, and special
            characters and spaces must be URL encoded.

            - `active` — Return only users who are active (`true`) or inactive
            (`false`).
          required: false
          schema:
            $ref: '#/components/schemas/scimUserFilter'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/scimUserResources'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/scimError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/scimError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/scimError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/scimError'
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    startIndex:
      type: number
      format: double
      default: 1
      title: startIndex
    count:
      type: number
      format: double
      default: 100
      title: count
    scimUserFilter:
      type: string
      title: scimUserFilter
    ScimUserResourceName:
      type: object
      properties:
        givenName:
          type: string
          description: The team member's first name.
        familyName:
          type: string
          description: The team member's last name.
      description: Information about the Postman team member.
      title: ScimUserResourceName
    ScimUserResourceMeta:
      type: object
      properties:
        resourceType:
          type: string
          description: The resource type.
        created:
          type: string
          format: date-time
          description: The date and time at which the team member was created.
        lastModified:
          type: string
          format: date-time
          description: The date and time at which the team member was last modified.
      description: The response's non-standard meta information.
      title: ScimUserResourceMeta
    scimUserResource:
      type: object
      properties:
        schemas:
          type: array
          items:
            type: string
          description: >-
            The [SCIM schema
            URI](https://www.iana.org/assignments/scim/scim.xhtml).
        id:
          type: string
          description: The team member's SCIM ID.
        userName:
          type: string
          description: The team member's SCIM username.
        name:
          $ref: '#/components/schemas/ScimUserResourceName'
          description: Information about the Postman team member.
        externalId:
          type: string
          description: The team member's external ID.
        active:
          type: boolean
          description: If true, the team member is active.
        meta:
          $ref: '#/components/schemas/ScimUserResourceMeta'
          description: The response's non-standard meta information.
      description: The SCIM user resource object.
      title: scimUserResource
    scimUserResources:
      type: object
      properties:
        Resources:
          type: array
          items:
            $ref: '#/components/schemas/scimUserResource'
          description: A list of user resources.
        itemsPerPage:
          type: number
          format: double
          description: The number of items per response page.
        schemas:
          type: array
          items:
            type: string
          description: >-
            The [SCIM schema
            URI](https://www.iana.org/assignments/scim/scim.xhtml).
        startIndex:
          type: number
          format: double
          description: The index entry by which the returned results begin.
        totalResults:
          type: number
          format: double
          description: The total number of results found.
      title: scimUserResources
    scimError:
      type: object
      properties:
        schemas:
          type: array
          items:
            type: string
          description: >-
            The [SCIM schema
            URI](https://www.iana.org/assignments/scim/scim.xhtml).
        detail:
          type: string
          description: Information about the error.
        status:
          type: string
          format: http-status-code
          description: The HTTP status code.
      title: scimError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples

### Successful Response



**Response**

```json
{
  "Resources": [
    {
      "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:User"
      ],
      "id": "405775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99",
      "userName": "taylor.lee@example.com",
      "name": {
        "givenName": "Taylor",
        "familyName": "Lee"
      },
      "externalId": "12345678",
      "active": true,
      "meta": {
        "resourceType": "User",
        "created": "2021-02-22T04:24:13.000Z",
        "lastModified": "2021-02-22T04:24:13.000Z"
      }
    },
    {
      "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:User"
      ],
      "id": "123775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99",
      "userName": "alex.cruz@example.com",
      "name": {
        "givenName": "Alex",
        "familyName": "Cruz"
      },
      "externalId": "87654321",
      "active": false,
      "meta": {
        "resourceType": "User",
        "created": "2021-02-22T04:24:13.000Z",
        "lastModified": "2021-02-22T04:24:13.000Z"
      }
    }
  ],
  "itemsPerPage": 2,
  "schemas": [
    "urn:ietf:params:scim:api:messages:2.0:ListResponse"
  ],
  "startIndex": 1,
  "totalResults": 2
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/scim/v2/Users"

querystring = {"filter":"userName eq \"taylor%2Dlee@example.com\""}

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/scim/v2/Users?filter=userName+eq+%22taylor%252Dlee%40example.com%22';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/scim/v2/Users?filter=userName+eq+%22taylor%252Dlee%40example.com%22"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/scim/v2/Users?filter=userName+eq+%22taylor%252Dlee%40example.com%22")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/scim/v2/Users?filter=userName+eq+%22taylor%252Dlee%40example.com%22")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/scim/v2/Users?filter=userName+eq+%22taylor%252Dlee%40example.com%22', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/scim/v2/Users?filter=userName+eq+%22taylor%252Dlee%40example.com%22");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/scim/v2/Users?filter=userName+eq+%22taylor%252Dlee%40example.com%22")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Filter Inactive Users



**Response**

```json
{
  "Resources": [
    {
      "schemas": [
        "urn:ietf:params:scim:schemas:core:2.0:User"
      ],
      "id": "123775fe15ed41872a8eea4c8aa2b38cda9749812cc55c99",
      "userName": "alex.cruz@example.com",
      "name": {
        "givenName": "Alex",
        "familyName": "Cruz"
      },
      "externalId": "87654321",
      "active": false,
      "meta": {
        "resourceType": "User",
        "created": "2021-02-22T04:24:13.000Z",
        "lastModified": "2021-02-22T04:24:13.000Z"
      }
    }
  ],
  "itemsPerPage": 2,
  "schemas": [
    "urn:ietf:params:scim:api:messages:2.0:ListResponse"
  ],
  "startIndex": 1,
  "totalResults": 1
}
```

**SDK Code**

```python Filter Inactive Users
import requests

url = "https://api.getpostman.com/scim/v2/Users"

querystring = {"filter":"userName eq \"taylor%2Dlee@example.com\""}

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Filter Inactive Users
const url = 'https://api.getpostman.com/scim/v2/Users?filter=userName+eq+%22taylor%252Dlee%40example.com%22';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Filter Inactive Users
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/scim/v2/Users?filter=userName+eq+%22taylor%252Dlee%40example.com%22"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Filter Inactive Users
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/scim/v2/Users?filter=userName+eq+%22taylor%252Dlee%40example.com%22")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Filter Inactive Users
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/scim/v2/Users?filter=userName+eq+%22taylor%252Dlee%40example.com%22")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Filter Inactive Users
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/scim/v2/Users?filter=userName+eq+%22taylor%252Dlee%40example.com%22', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Filter Inactive Users
using RestSharp;

var client = new RestClient("https://api.getpostman.com/scim/v2/Users?filter=userName+eq+%22taylor%252Dlee%40example.com%22");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Filter Inactive Users
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/scim/v2/Users?filter=userName+eq+%22taylor%252Dlee%40example.com%22")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```